/* -*-c-*-
 *
 * $Id: aunum.h,v 1.1 2002/02/02 19:16:28 mdw Exp $
 *
 * Reading numbers to audio output
 *
 * (c) 2002 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Jog: Programming for a jogging machine.
 *
 * Jog is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Jog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jog; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef AU_NUM_H
#define AU_NUM_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Functions provided ------------------------------------------------*/

/* --- @aunum@ --- *
 *
 * Arguments:	@const char *p@ = pointer to number's textual representation
 *
 * Returns:	---
 *
 * Use:		Reads the given number aloud.
 */

extern void aunum(const char */*p*/);

/* --- @aunum_ulong@ --- *
 *
 * Arguments:	@unsigned long n@ = number to be read
 *
 * Returns:	---
 *
 * Use:		Reads a number expressed as an @unsigned long@.
 */

extern void aunum_ulong(unsigned long /*n*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
