/* -*-c-*-
 *
 * $Id: tx-socket.h,v 1.3 2002/02/02 19:17:25 mdw Exp $
 *
 * Socket transport
 *
 * (c) 2001 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Jog: Programming for a jogging machine.
 *
 * Jog is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Jog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jog; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef TX_SOCKET_H
#define TX_SOCKET_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#ifdef HAVE_CONFIG_H
#  include "config.h"
#endif

#ifndef TXPORT_H
#  include "txport.h"
#endif

/*----- Functions provided ------------------------------------------------*/

extern txport *txsock_create(const char */*file*/);
extern void *txsock_fetch(void */*txv*/);
extern ssize_t txsock_write(txport */*txg*/,
			    const void */*p*/, size_t /*sz*/);
extern void txsock_destroy(txport */*txg*/);

#ifdef TX_LIST
   static const struct txfile txsock_fv[] = {
     { "JOGSOCK", 0 },
     { 0, JOGSOCKET },
   };

   static txport_ops txsock_ops = {
     TX_LIST, "socket", txsock_fv, 0,
     txsock_create, 0, txsock_fetch, txsock_write, txsock_destroy
   };
#  undef TX_LIST
#  define TX_LIST &txsock_ops
#endif

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
